commit: 672b9edb9b87099e48c8490fdba48b92a014c87b
Author: Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Mon Dec 21 10:24:32 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Dec 21 10:24:32 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=672b9edb
gui-apps/tiramisu: bump to 1.0; sync live
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Theo Anderson <telans <AT> posteo.de>
gui-apps/tiramisu/Manifest | 1 +
.../{tiramisu-9999.ebuild => tiramisu-1.0.ebuild} | 24 +++++++++++++++-------
gui-apps/tiramisu/tiramisu-9999.ebuild | 19 ++++++++++-------
3 files changed, 30 insertions(+), 14 deletions(-)
diff --git a/gui-apps/tiramisu/Manifest b/gui-apps/tiramisu/Manifest
index 9411468d..4a2a33f0 100644
--- a/gui-apps/tiramisu/Manifest
+++ b/gui-apps/tiramisu/Manifest
@@ -1 +1,2 @@
DIST tiramisu-0_p20201110.tar.gz 3063380 BLAKE2B
52b8f46478323b401dd5db96a531c86271b38d61991ee9147ccef400f2563fadacc92a289ef6ea2ccc01507cb1af57f0186a1690d39a421dcccb5d1f73ca3825
SHA512
7f8c978e6ead387fc9ccfb9eb15c73f237e10b14c8eb53e537a869402897e89451af371eabdf76506b9fcf51d6080b21d97863978de5e5e43af2b25578535b1d
+DIST tiramisu-1.0.tar.gz 3063267 BLAKE2B
f837a188f34cfb4ecc23aff9cb3d918239dd8ea2ce0a3f7905c5defd4bd5cff37984088008ed6fcdc8b128f92eb1808aadc058a992d2dbf41d0900142b38fe62
SHA512
357a223afa1664d170249fea187924c1942427b4c488ec18476774e19a8c15bdac104c7d4e105f4b2e2a4ad66e8954f572dad8be60a4b313a16c1612fe88f5b7
diff --git a/gui-apps/tiramisu/tiramisu-9999.ebuild
b/gui-apps/tiramisu/tiramisu-1.0.ebuild
similarity index 65%
copy from gui-apps/tiramisu/tiramisu-9999.ebuild
copy to gui-apps/tiramisu/tiramisu-1.0.ebuild
index 27bbb3fb..6df4a761 100644
--- a/gui-apps/tiramisu/tiramisu-9999.ebuild
+++ b/gui-apps/tiramisu/tiramisu-1.0.ebuild
@@ -3,25 +3,35 @@
EAPI=7
-if [[ "${PV}" == 9999 ]]; then
+inherit toolchain-funcs
+
+DESCRIPTION="minimalistic desktop notifications provider"
+HOMEPAGE="https://github.com/Sweets/tiramisu"
+
+if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/Sweets/tiramisu"
else
- COMMIT=8eb946dae0e2f98d3850d89e1bb535640e8c3266
- SRC_URI="https://github.com/Sweets/tiramisu/archive/${COMMIT}.tar.gz ->
${P}.tar.gz"
- S="${WORKDIR}"/${PN}-${COMMIT}
+ SRC_URI="https://github.com/Sweets/tiramisu/archive/${PV}.tar.gz ->
${P}.tar.gz"
KEYWORDS="~amd64 ~arm64 ~x86"
fi
-DESCRIPTION="minimalistic desktop notifications provider"
-HOMEPAGE="https://github.com/Sweets/tiramisu"
-
LICENSE="MIT"
SLOT="0"
RDEPEND="dev-libs/glib:2[dbus]"
DEPEND="${RDEPEND}"
+src_prepare() {
+ default
+ sed -i '/CFLAGS.*=/d' Makefile || die
+}
+
+src_configure() {
+ tc-export CC
+ default
+}
+
src_install() {
emake DESTDIR="${ED}" PREFIX=/usr install
}
diff --git a/gui-apps/tiramisu/tiramisu-9999.ebuild
b/gui-apps/tiramisu/tiramisu-9999.ebuild
index 27bbb3fb..61e39426 100644
--- a/gui-apps/tiramisu/tiramisu-9999.ebuild
+++ b/gui-apps/tiramisu/tiramisu-9999.ebuild
@@ -3,25 +3,30 @@
EAPI=7
-if [[ "${PV}" == 9999 ]]; then
+inherit toolchain-funcs
+
+DESCRIPTION="minimalistic desktop notifications provider"
+HOMEPAGE="https://github.com/Sweets/tiramisu"
+
+if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/Sweets/tiramisu"
else
- COMMIT=8eb946dae0e2f98d3850d89e1bb535640e8c3266
- SRC_URI="https://github.com/Sweets/tiramisu/archive/${COMMIT}.tar.gz ->
${P}.tar.gz"
- S="${WORKDIR}"/${PN}-${COMMIT}
+ SRC_URI="https://github.com/Sweets/tiramisu/archive/${PV}.tar.gz ->
${P}.tar.gz"
KEYWORDS="~amd64 ~arm64 ~x86"
fi
-DESCRIPTION="minimalistic desktop notifications provider"
-HOMEPAGE="https://github.com/Sweets/tiramisu"
-
LICENSE="MIT"
SLOT="0"
RDEPEND="dev-libs/glib:2[dbus]"
DEPEND="${RDEPEND}"
+src_configure() {
+ tc-export CC
+ default
+}
+
src_install() {
emake DESTDIR="${ED}" PREFIX=/usr install
}